<template>
  <div
    class="w-screen h-screen bg-02 flex justify-center items-center p-36 pt-56 pb-16"
  >
    <div class="w-3/5 relative flex flex-wrap h-full">
      <div
        class="w-full absolute flex flex-col items-center"
        style="margin-top: -4rem;"
      >
        <img
          class="w-48 h-48 mb-5 shadow-2xl rounded-full"
          :src="assetSrc('assets/images/illustrations/male_avatar.svg')"
          alt=""
        />
        <div class="flex flex-col justify-center items-center">
          <h1
            class="font-maxwell text-3xl"
            :class="user.right === 'user' ? 'text-tek-black' : 'text-tek-main'"
          >
            {{ user.username }}
          </h1>
          <span class="text-center text-sm">
            {{ user.firstname }} {{ user.lastname }}
          </span>
        </div>
        <inertia-link href="/logout">
        <div class="text-tek-main text-sm mt-3">Se deconnecter</div>
        </inertia-link>
      </div>
      <div class="w-1/2 h-1/2 bg-tek-white rounded-tl-md">
        <div class="w-4/6"><UserActions /></div>
      </div>
      <div class="w-1/2 h-1/2 bg-tek-white rounded-tr-md">
        <div class="flex justify-center pl-24 pt-10">
          <span
            class="inline-flex items-center px-3 py-0.5 rounded-full text-lg font-medium"
            :class="setBadge"
          >
            {{ badges[user.right].title }}
          </span>
        </div>
      </div>
      <div class="w-full h-1/2 card_gradient_to_btm rounded-b-md flex">
        <div class="flex-1 flex items-center pl-5 text-sm text-tek-white">
          <ul>
            <li class="my-2">
              <i class="far fa-at"></i>
              : {{ user.email }}
            </li>
            <li class="my-2">
              <i class="far fa-phone"></i>
              : {{ user.phone }}
            </li>
            <li class="my-2">
              <i class="far fa-birthday-cake"></i>
              : {{ user.birthdate }}
            </li>
            <li class="my-2">
              <i class="far fa-home-lg-alt"></i>
              : {{ user.addrSend }}
            </li>
            <li class="my-2">
              <i class="fal fa-ballot"></i>
              : {{ user.addrFact }}
            </li>
            <li class="my-2">
              Payment :
              <i :class="`fab fa-${user.payment}`"></i>
            </li>
          </ul>
        </div>
        <div class="flex-1 flex justify-center items-end">
          <img
            class="w-52 h-52"
            :src="assetSrc('assets/images/illustrations/ideation.svg')"
            alt=""
          />
        </div>
      </div>
    </div>
        <div
      v-if="showC"
      class="absolute w-1/3 h-auto px-10 py-20 shadow-lg bg-tek-white flex justify-center items-center"
    >
      <div class="flow-root">
          <div class="text-tek-black mb-5 ">Commandes: </div>
        <ul class="-mb-8">
          <li v-for="(c,i) in $page.props.commands" :key="i">
            <div class="relative pb-8">
              <div class="relative flex space-x-3">
                <div>
                  <span
                    class="h-8 w-8 rounded-full bg-green-500 flex items-center justify-center ring-8 ring-white"
                  >
                    <svg
                      class="h-5 w-5 text-white"
                      xmlns="http://www.w3.org/2000/svg"
                      viewBox="0 0 20 20"
                      fill="currentColor"
                      aria-hidden="true"
                    >
                      <path
                        fill-rule="evenodd"
                        d="M16.707 5.293a1 1 0 010 1.414l-8 8a1 1 0 01-1.414 0l-4-4a1 1 0 011.414-1.414L8 12.586l7.293-7.293a1 1 0 011.414 0z"
                        clip-rule="evenodd"
                      />
                    </svg>
                  </span>
                </div>
                <div
                  class="min-w-0 flex-1 pt-1.5 flex justify-between space-x-4"
                >
                  <div>
                    <p class="text-sm text-gray-500">
                      Commande Box Arduino Janvier 2021
                    </p>
                  </div>
                  <div
                    class="text-right text-sm whitespace-nowrap text-gray-500"
                  >
                    <time datetime="2020-10-04">Jan 02</time>
                  </div>
                </div>
              </div>
            </div>
          </li>
        </ul>
        <button class="mt-10" @click="showC=false">Fermer</button>
      </div>
    </div>
  </div>
</template>

<script>
import { assetsPathMixin } from '@/mixins/assetsPathMixin'
import {EventBus} from '@/event-bus.js'
import UserActions from '@/Components/UserActions'
import Layout from '@/Shared/Layout'
export default {
  layout: Layout,
  components: { UserActions },
  mixins: [assetsPathMixin],
  data() {
    return {
      user: null,
      payments: ['paypal', 'cc-visa', 'cc-mastercard'],
      badges: {
        admin: {
          title: 'Administrateur',
          textColor: 'FF9B6D',
          bgColor: 'FF9B6D45',
        },
        user: { title: 'Utilisateur', textColor: '', bgColor: '' },
      },
       showC: false,
    }
  },
  computed: {
    setBadge() {
      let badge
      this.user.right === 'user'
        ? (badge = 'bg-indigo-100 text-tek-black')
        : (badge = 'bg-red-100 text-tek-main')
      return badge
    },
  },
  created() {
      EventBus.$on('openC', ()=>{ this.showC = true})
    this.user = this.$page.props.auth.user
    this.user.payment = this.payments[Math.floor(Math.random() * this.payments.length)];
  },
}
</script>
